Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 127839 - A11Y: Import patch
A11Y: Import patch
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 10:25 UTC by Peter Pis
Modified: 2008-06-20 13:20 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (4.79 KB, patch)
2008-02-28 13:33 UTC, Padraig Obriain
Details | Diff
proposed patch (2.06 KB, patch)
2008-05-29 11:55 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pis 2008-02-20 10:25:59 UTC
Product Version: NetBeans IDE Dev (Build 200802140010)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Userdir: D:\ide\61\user

===============================================
 Tested Window title : Browse for the Import File
===============================================

Results of Accessibility test


 Doesn't implement Accessible :
   - none.

 No Accessible name :
   Class: sun.swing.FilePane$3 {  |  }  [15,67]


 No Accessible description :
   Class: com.sun.java.swing.plaf.windows.WindowsFileChooserUI$2 {  Look in: |  }  [60,35]
   Class: com.sun.java.swing.plaf.windows.WindowsFileChooserUI$4 {  File name: |  }  [92,217]
   Class: com.sun.java.swing.plaf.windows.WindowsFileChooserUI$6 {  OK |  }  [408,215]
   Class: javax.swing.JComboBox {  Files of type: |  }  [92,245]
   Class: sun.swing.FilePane$3 {  |  }  [15,67]


 Label with LABEL_FOR not set :
   - none.

 Components with no LABEL_FOR pointing to it :
   Class: sun.swing.FilePane$3 {  |  }  [15,67]


 Components with no mnemonic :
   Class: com.sun.java.swing.plaf.windows.WindowsFileChooserUI$6 {  OK |  }  [408,215]
   Class: javax.swing.JButton {  New Folder |  Create New Folder }  [362,36]
   Class: javax.swing.JButton {  Up |  Up One Level }  [342,36]
   Class: javax.swing.JToggleButton {  Details |  Details }  [402,36]
   Class: javax.swing.JToggleButton {  List |  List }  [382,36]
Comment 1 Peter Pis 2008-02-20 16:13:23 UTC
Product Version: NetBeans IDE Dev (Build 200802140010)
Comment 2 Padraig Obriain 2008-02-22 08:50:20 UTC
See #127837. We are using a JFileChooser in the same way as CVS and Subversion modules.
Comment 3 Padraig Obriain 2008-02-28 13:33:15 UTC
Created attachment 57447 [details]
proposed patch
Comment 4 Padraig Obriain 2008-02-28 13:34:49 UTC
The proposed patch makes Import Diff on Solaris use similar pattern as is used for subversion.
This patch is pushed in 1462cea44db1.
Comment 5 Padraig Obriain 2008-05-20 08:56:32 UTC
The remaining issue here is that the buttons in JFileChooser do not contain a mnemonic.

The seems to be a Java bug:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6297220 
Comment 6 Padraig Obriain 2008-05-29 11:51:16 UTC
It is not a problem that the buttons in the FileChooser dialog do not have a mnemonic.

I will change the OK button to Import button for Import dialog and then close this bug.
Comment 7 Padraig Obriain 2008-05-29 11:55:48 UTC
Created attachment 62114 [details]
proposed patch
Comment 8 Padraig Obriain 2008-05-29 11:56:47 UTC
comparing with https://padraigob:WCOZzCfY@hg.netbeans.org/main
searching for changes
changeset:   81852:e1da0d7626f5
user:        padraigob@netbeans.org
date:        Thu May 29 11:49:48 2008 +0100
files:       mercurial/src/org/netbeans/modules/mercurial/ui/diff/Bundle.properties
mercurial/src/org/netbeans/modules/mercurial/ui/diff/ImportDiffAction.java
description:
127839: Change OK button to Import for Import dialog.


changeset:   81859:5aacb58952be
tag:         tip
parent:      81852:e1da0d7626f5
parent:      81858:44e273c643bb
user:        padraigob@netbeans.org
date:        Thu May 29 11:54:24 2008 +0100
description:
Automated merge with http://hg.netbeans.org/main
Comment 9 Peter Pis 2008-06-20 13:20:23 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo